Perfil de vendedor de Amazon
Amazon Seller Profile devuelve el perfil público de un vendedor de Amazon, incluyendo datos comerciales, enlace a la tienda, valoraciones y resumen de comentarios.
Endpoint
Sección titulada «Endpoint» GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_profile
Parameters
Sección titulada «Parameters»| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | Su clave de la API de SERP (compartida con Amazon). |
engine | string | yes | Debe ser amazon. |
type | string | yes | Debe ser seller_profile. |
seller_id | string | yes | El ID del vendedor de Amazon (por ejemplo, AAZRLVTNON75Z). |
domain | string | no | Dominio del marketplace, por defecto amazon.com. |
device | desktop | mobile | no | Dispositivo simulado. |
Example request
Sección titulada «Example request»curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_profile&seller_id=AAZRLVTNON75Z"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "seller_profile", "seller_id": "AAZRLVTNON75Z",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'seller_profile', seller_id: 'AAZRLVTNON75Z',});
const res = await fetch(url);const data = await res.json();Example response
Sección titulada «Example response»{ "search_parameters": { "amazon_url": "https://www.amazon.com/sp?seller=AAZRLVTNON75Z", "engine": "amazon", "amazon_domain": "amazon.com", "type": "seller_profile", "seller_id": "AAZRLVTNON75Z" }, "seller_profile": { "seller_details": { "name": "Triplenet Pricing INC", "store_link": "https://www.amazon.com/s?me=AAZRLVTNON75Z", "logo": "https://m.media-amazon.com/images/I/11kriIp42uL.jpg", "rating": 4, "ratings_total": 4078, "ratings_positive_percentage": 74, "business_name": "Delaware", "business_address": "86 Albe Drive Suite 1C NEWARK DE 19702 US" }, "feedback_summary": [ { "positive_percent": 75, "neutral_percent": 1, "negative_percent": 24, "count": 366 }, { "positive_percent": 74, "neutral_percent": 2, "negative_percent": 24, "count": 4078 } ] }}